Event log

We love logs. Anything that happens will be in the logs. Scan results, transport collection and deposits, travel arrival, belt mining site depletion. Everything.

Endpoint

GET /v1/replicants/{code}/events

Query parameters

NameTypeDescription
latestboolean · optionalIf true, returns only the most recent batch of events.
device_typestring · optionalFilter by device type (mining_drone, survey_drone, etc.).
devicestring · optionalFilter to a single device code.
event_typestring · optionalFilter by event type (print_complete, device_deployed, scan_complete, etc.).

Example

GET /v1/replicants/{code}/events 200 OK
$ curl https://api.replicant.space/v1/replicants/8AFE4482/events?latest=true \
    -H "Authorization: Bearer $API_KEY"
response response
{
  "events": [
    {
      "created_at": "2026-05-10T22:31:05+01:00",
      "device_code": "0B086F53",
      "device_type": "ami_mining_controller",
      "event_type": "device_deployed",
      "message": "Deployed ami_mining_controller 0B086F53 at CHAMAKUY-BELT-1",
      "payload": {
        "location": "CHAMAKUY-BELT-1",
        "star": "CHAMAKUY"
      }
    },
    {
      "created_at": "2026-05-10T00:19:02+01:00",
      "device_code": "37C51F74",
      "device_type": "heaven_vessel",
      "event_type": "print_complete",
      "message": "Completed printing ami_mining_controller",
      "payload": {
        "device_type": "ami_mining_controller",
        "location": "CHAMAKUY-BELT-1",
        "new_device_code": "0B086F53"
      }
    }
  ]
}

Event payloads

The payload field shape depends on event_type. The message field is always a human-readable summary.